





#ifndef XPATHNODETREEINFO_H
#define XPATHNODETREEINFO_H

#include "xasset.h"
#include "gameworld.h" // For PathNodeTree reference

class XPathNodeTreeInfo : public XAsset
{
public:
    explicit XPathNodeTreeInfo();

    void ParseData(QDataStream *aStream) override;

    PathNodeTree* GetChild(int index) const;
    void SetChild(int index, PathNodeTree* child);

    const XPathNodeTreeNodes& GetNodes() const;
    void SetNodes(const XPathNodeTreeNodes& nodes);

private:
    union {
        PathNodeTree* mChildren[2];
        XPathNodeTreeNodes mNodes;
    };
};

#endif // XPATHNODETREEINFO_H





